Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik
Class Version

    java.lang.Object
      org.apache.batik.Version

public final class Version
extends java.lang.Object

This class defines the Batik version number.

Field Summary
`static java.lang.String` | `LABEL_DEVELOPMENT_BUILD`

Constructor Summary
`Version()`

Method Summary
`static java.lang.String` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL_DEVELOPMENT_BUILD

    public static final java.lang.String LABEL_DEVELOPMENT_BUILD

See Also:
  Constant Field Values

Constructor Detail

### Version

    public Version()

Method Detail

### getVersion

    public static java.lang.String getVersion()

  Returns:
    the Batik version. This is based on the CVS tag. If this Version is not part of a tagged release, then the returned value is a constant reflecting a development build.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.